Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PlaceableView

All Superinterfaces:
  Serializable, View

All Known Subinterfaces:
  BookView, PortletView

All Known Implementing Classes:
  com.bea.netuix.application.view.internal.PortletViewImpl

public interface PlaceableView
extends View

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a placeable, which is either a book or a portlet. In other words, Parent Pages can contain both child Portlets and child Books. Placeables is a term/interface used to represent either one of these. A placeable is an item on a pages that can be placed.

See Also:
  `View`

Method Summary
`String` | `getDefinitionLabel()` The unique definition label.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this placeable.
`PlaceableInstance` | `getPlaceableInstance()` Retrieve the associated `PlaceableInstance` from this Placeable View.
`int` | `getPlaceholderPosition()` Get the placeholder position of the placeable.

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getPlaceableInstance

    public PlaceableInstance getPlaceableInstance()

  Retrieve the associated `PlaceableInstance` from this Placeable View. Placeable Views are immutable but Placeable Instances and Placeable Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns:
    a non null Placeable Instance. The Placeable instance may be cast to either a BookInstance or a PortletInstance after checking `instanceof`.

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this placeable.

  *

  Returns:
    a non null LocalizationResourceView customized per the request.

### getDefinitionLabel

    public String getDefinitionLabel()

  The unique definition label. For books this is defined in the .portal file for portlets this is defined in the .portlet file.

  Returns:
    a non null definition label.

### getPlaceholderPosition

    public int getPlaceholderPosition()

  Get the placeholder position of the placeable.

  Returns:
    an index into the list of placeables in a placeholder.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved